#### $\Omega()$ notation and $\mathcal{O}()$ notation

#### *Oracle* device

#### *Relativized complexity*

#### *Threshold circuits*

#### $AC^0$ and $TC^0$ classes

#### $\mathbb{S}^{d-1}$: a $(d-1)$-dimensional sphere or hypersphere in a $d$-dimensional space

